﻿@{
    ViewBag.Title = "Index";
    bool isSpg = (ViewBag.IsSpg == null ? false : (bool)ViewBag.IsSpg);
    List<SelectListItem> channelList = (List<SelectListItem>)ViewBag.ChannelList;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Member</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm("Index", "MemberKKApproval", FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formSearchMember" }))
                {
                    @Html.AntiForgeryToken()

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal <span class="required">*</span></label>
                            <div class="col-md-6">
                                @Html.TextBox("hiddenAwal", "", new { @class = "form-control datepicker2", @required = "" })
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir <span class="required">*</span></label>
                            <div class="col-md-6">
                                @Html.TextBox("hiddenAkhir", "", new { @class = "form-control datepicker2", @required = "" })
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">IsUploaded KTP</label>
                            <div class="col-md-6">
                                <label class="checkbox-inline">
                                    <input type="checkbox" class="uniform" id="isUploadedKTP" />
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">IsUploaded KK</label>
                            <div class="col-md-6">
                                <label class="checkbox-inline">
                                    <input type="checkbox" class="uniform" id="isUploadedKK" />
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">IsUploaded Akte</label>
                            <div class="col-md-6">
                                <label class="checkbox-inline">
                                    <input type="checkbox" class="uniform" id="isUploadedAkte" />
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Channel </label>
                            <div class="col-md-6">
                                @Html.DropDownList("channel", channelList, "", new { @class = "select2-select-00  col-md-12 full-width-fix" })
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div id="gridMember" class="widget">
            @Html.Action("GridGetAllMemberPager", new { page = 1 })
            <!-- .box-content -->
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        //(function () {
        //    var gridName = 'AllMember';
        //    var pagingUrl = '@Url.Action(MVC.MemberKKApproval.GridGetAllMemberPager())';
        //
        //    $('.grid-mvc').gridmvc();
        //    pageGrids[gridName].ajaxify({
        //        getData: pagingUrl,
        //        getPagedData: pagingUrl,
        //        gridFilterForm: $('#gridSeachMember')
        //    });
        //}())
        
        $(window).bind("pageshow", function () {
            // update hidden input field
            $('#formSearchMember').trigger("reset");
        });

        $(document).ready(function () {
           
            //document.getElementById("formSearchMember").reset();
            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
                beforeShow: function (i) { if ($(i).attr('readonly')) { return false; } }
            });

            function LoadGridFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('#gridMember').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions();
                            }
                        })
                    }
                }

                $('div.grid-header-title > a, .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('form[name=gridForm]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    HideLoader();
                    var dataUrl = decodeURIComponent($(this).find('[type=hidden][name=rawDataUrl]').val()).replace('@@search@@', $(this).find('[type=text][name=txtSearch]').val());
                    LoadData(dataUrl);
                })

                @*$('#search-button-reporting').on('click', function (e) {
                    e.preventDefault();
                    if ($("#formSearchMember").valid()) {
                        var formArray = $('#formSearchMember').serializeArray();
                        formArray.push({ name: 'search', value: $('input[name=txtSearch]').val() });
                        LoadData('@Url.Action(MVC.MemberKKApproval.GridGetAllMemberPager())?' + serializeArrayToQuery(formArray));
                    }
                });*@
                $('#search-button-reporting').off('click')
                $('#search-button-reporting').click(function (e) {
                    e.preventDefault();
                    var elChannel = $('#channel')
                    elChannel.val($.trim(elChannel.val()))
                    if ($("#formSearchMember").valid()) {
                        var formArray = $('#formSearchMember').serializeArray();
                        var arrFilter = [{ name: 'search', value: $('input[name=txtSearch]').val() },
                                         { name: "isUploadedKTP", value: $("#isUploadedKTP").is(':checked') },
                                         { name: "isUploadedAkte", value: $("#isUploadedAkte").is(':checked') },
                                         { name: "isUploadedKK", value: $("#isUploadedKK").is(':checked') }]
                        formArray.push(...arrFilter);
                        LoadData('@Url.Action(MVC.MemberKKApproval.GridGetAllMemberPager())?' + serializeArrayToQuery(formArray));
                    }
                });


            }
            LoadGridFunctions();
        })

        function serializeArrayToQuery(objArr) {
            if (Array.isArray(objArr)) {
                var strArr = [];
                for (var i = 0; i < objArr.length; i++) {
                    var item = objArr[i];
                    strArr.push(item.name + '=' + item.value)
                }
                return strArr.join('&');
            }
            return null;
        }

        function confirmDelete(confirmText, deleteUrl) {
            if (confirm(confirmText)) {
                window.open(deleteUrl, '_self');
            }
        }
    </script>
}